Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.gen
Class EPPTransferCmd

    java.lang.Object
      com.verisign.epp.codec.gen.EPPCommand
          com.verisign.epp.codec.gen.EPPTransferCmd

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  EPPContactTransferCmd, EPPDefRegTransferCmd, EPPDomainTransferCmd, EPPEmailFwdTransferCmd, EPPNameWatchTransferCmd

    public abstract class EPPTransferCmd

extends EPPCommand

The EPP <transfer> command provides a query operation that allows a client to determine real-time status of pending and completed transfer requests. The elements needed to identify an object that is the subject of a transfer request are object-specific, so the child elements of the <transfer> query command are specified using the EPP extension framework. In addition to the standard EPP command elements, the <transfer> command SHALL contain an `op` attribute with value `query`, and the following child elements: An object-specific <obj:transfer> element that identifies the object whose transfer status is requested.
`EPPTransferCmd` is an abtract EPP command class that represents a transfer operation. A command mapping transfer command extends `EPPTransferCmd`. For example, `EPPDomainTransferCmd` is a `EPPTransferCmd` that implements the Domain Transfer Command Mapping. The different types of transfer operations can be one of the `EPPCommand.OP_` constants.

Version:
  $Revision: 1.3 $
Author:
  $Author: jim $
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `op` Operation "op" associated with the `EPPTransferCmd`.

Fields inherited from class com.verisign.epp.codec.gen.EPPCommand
`extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

Constructor Summary
`EPPTransferCmd()` Default constructor.
`EPPTransferCmd(java.lang.String aTransId, java.lang.String aOp)` `EPPTransferCmd` that takes all required attributes as arguments.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPTransferCmd`.
`protected abstract void` | `doDecode(org.w3c.dom.Element aElement)` Must be defined by `EPPTransferCmd` extensions (Command Mappings) to decode the attributes to a DOM Element tree.
`protected abstract org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Must be defined by `EPPTransferCmd` extensions (Command Mappings) to encode the attributes to a DOM Element tree.
`protected void` | `doGenDecode(org.w3c.dom.Element aElement)` Decodes the `EPPTransferCmd` attributes from the `aElement` DOM Element tree.
`protected org.w3c.dom.Element` | `doGenEncode(org.w3c.dom.Document aDocument)` Encodes a DOM Element tree from the attributes of the `EPPTransferCmd` instance.
`boolean` | `equals(java.lang.Object aObject)` Compares an instance of EPPTransferCmd with this instance.
`java.lang.String` | `getOp()` Gets the EPP command operation attribute associated with `EPPTransferCmd`.
`java.lang.String` | `getType()` Gets the EPP command type associated with EPPTransferCmd.
`void` | `setOp(java.lang.String aOp)` Sets the EPP command operation attribute associated with `EPPTransferCmd`.

Methods inherited from class com.verisign.epp.codec.gen.EPPCommand
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getNamespace, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### op

    protected java.lang.String op

  Operation "op" associated with the `EPPTransferCmd`. This should be equal to one of the `EPPCommand.OP_` constants.

Constructor Detail

### EPPTransferCmd

    public EPPTransferCmd()

  Default constructor. Will set Authorization Id to null.

### EPPTransferCmd

    public EPPTransferCmd(java.lang.String aTransId,
                          java.lang.String aOp)

  `EPPTransferCmd` that takes all required attributes as arguments.

  Parameters:
    `aTransId` - Transaction Id associated with command.
    `aOp` - One of the `EPPCommand.OP_` constants associated with the transfer command.

Method Detail

### getType

    public java.lang.String getType()

  Gets the EPP command type associated with EPPTransferCmd.

  Specified by:
    `getType` in class `EPPCommand`
  Returns:
    `EPPCommand.TYPE_TRANSFER`

### getOp

    public java.lang.String getOp()

  Gets the EPP command operation attribute associated with `EPPTransferCmd`.

  Overrides:
    `getOp` in class `EPPCommand`
  Returns:
    One of the `EPPCommand.OP_` constants associated with the transfer command.

### setOp

    public void setOp(java.lang.String aOp)

  Sets the EPP command operation attribute associated with `EPPTransferCmd`.

  Parameters:
    `aOp` - One of the `EPPCommand.OP_` constants associated with the transfer command.

### equals

    public boolean equals(java.lang.Object aObject)

  Compares an instance of EPPTransferCmd with this instance.

  Overrides:
    `equals` in class `EPPCommand`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    DOCUMENT ME!

### doGenEncode

    protected org.w3c.dom.Element doGenEncode(org.w3c.dom.Document aDocument)
                                       throws EPPEncodeException

  Encodes a DOM Element tree from the attributes of the `EPPTransferCmd` instance. This method is a member of the Template Design Pattern. `EPPCommand.encode` is a Template Method and this method is a Primitive Operation within the Template Method Design Pattern.

  Specified by:
    `doGenEncode` in class `EPPCommand`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Root DOM Element representing the `EPPTransferCmd` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPTransferCmd` instance.

### doGenDecode

    protected void doGenDecode(org.w3c.dom.Element aElement)
                        throws EPPDecodeException

  Decodes the `EPPTransferCmd` attributes from the `aElement` DOM Element tree. This method is a member of the Template Design Pattern. `EPPCommand.decode` is a Template Method and this method is a Primitive Operation within the Template Method Design Pattern.

  Specified by:
    `doGenDecode` in class `EPPCommand`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPTransferCmd` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPTransferCmd`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPCommand`
  Returns:
    clone of `EPPTransferCmd`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### doEncode

    protected abstract org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                             throws EPPEncodeException

  Must be defined by `EPPTransferCmd` extensions (Command Mappings) to encode the attributes to a DOM Element tree. `doGenEncode` is a Template Method and this method is a Primitive Operation within the Template Method Design Pattern.

  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Root DOM Element representing the EPPTransferCmd extension instance.
  Throws:
    `EPPEncodeException` - Unable to encode EPPTransferCmd extension instance.

### doDecode

    protected abstract void doDecode(org.w3c.dom.Element aElement)
                              throws EPPDecodeException

  Must be defined by `EPPTransferCmd` extensions (Command Mappings) to decode the attributes to a DOM Element tree. `doGenDecode` is a Template Method and this method is a Primitive Operation within the Template Method Design Pattern.

  Parameters:
    `aElement` - Root DOM Element representing the `EPPTransferCmd` extension instance.
  Throws:
    `EPPDecodeException` - Unable to decode `aElement`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.